Index: uspace/lib/bithenge/src/print.c
===================================================================
--- uspace/lib/bithenge/src/print.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/bithenge/src/print.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -73,5 +73,5 @@
 }
 
-static errno_t print_node(state_t *, bithenge_node_t *);
+static int print_node(state_t *, bithenge_node_t *);
 
 static void newline(state_t *state)
@@ -93,8 +93,8 @@
 }
 
-static errno_t print_internal_func(bithenge_node_t *key, bithenge_node_t *value, void *data)
+static int print_internal_func(bithenge_node_t *key, bithenge_node_t *value, void *data)
 {
 	state_t *state = (state_t *)data;
-	errno_t rc = EOK;
+	int rc = EOK;
 	if (!state->first)
 		state_printf(state, ",");
@@ -120,7 +120,7 @@
 }
 
-static errno_t print_internal(state_t *state, bithenge_node_t *node)
-{
-	errno_t rc;
+static int print_internal(state_t *state, bithenge_node_t *node)
+{
+	int rc;
 	state_printf(state, "{");
 	increase_depth(state);
@@ -137,5 +137,5 @@
 }
 
-static errno_t print_boolean(state_t *state, bithenge_node_t *node)
+static int print_boolean(state_t *state, bithenge_node_t *node)
 {
 	bool value = bithenge_boolean_node_value(node);
@@ -151,5 +151,5 @@
 }
 
-static errno_t print_integer(state_t *state, bithenge_node_t *node)
+static int print_integer(state_t *state, bithenge_node_t *node)
 {
 	bithenge_int_t value = bithenge_integer_node_value(node);
@@ -158,5 +158,5 @@
 }
 
-static errno_t print_string(state_t *state, bithenge_node_t *node)
+static int print_string(state_t *state, bithenge_node_t *node)
 {
 	const char *value = bithenge_string_node_value(node);
@@ -164,5 +164,5 @@
 	for (string_iterator_t i = string_iterator(value); !string_iterator_done(&i); ) {
 		wchar_t ch;
-		errno_t rc = string_iterator_next(&i, &ch);
+		int rc = string_iterator_next(&i, &ch);
 		if (rc != EOK)
 			return rc;
@@ -179,5 +179,5 @@
 }
 
-static errno_t print_blob(state_t *state, bithenge_node_t *node)
+static int print_blob(state_t *state, bithenge_node_t *node)
 {
 	bithenge_blob_t *blob = bithenge_node_as_blob(node);
@@ -185,5 +185,5 @@
 	uint8_t buffer[1024];
 	aoff64_t size = sizeof(buffer);
-	errno_t rc;
+	int rc;
 	state_printf(state,
 	    state->type == BITHENGE_PRINT_PYTHON ? "b\"" : "\"");
@@ -201,5 +201,5 @@
 }
 
-static errno_t print_node(state_t *state, bithenge_node_t *tree)
+static int print_node(state_t *state, bithenge_node_t *tree)
 {
 	switch (bithenge_node_type(tree)) {
@@ -222,5 +222,5 @@
  * @param tree The root node of the tree to print.
  * @return EOK on success or an error code from errno.h. */
-errno_t bithenge_print_node(bithenge_print_type_t type, bithenge_node_t *tree)
+int bithenge_print_node(bithenge_print_type_t type, bithenge_node_t *tree)
 {
 	state_t state = {type, true, 0, NULL, 0};
@@ -236,9 +236,9 @@
  * @param tree The root node of the tree to print.
  * @return EOK on success or an error code from errno.h. */
-errno_t bithenge_print_node_to_string(char **str, size_t *size,
+int bithenge_print_node_to_string(char **str, size_t *size,
     bithenge_print_type_t type, bithenge_node_t *tree)
 {
 	state_t state = {type, true, 0, *str, *size};
-	errno_t rc = print_node(&state, tree);
+	int rc = print_node(&state, tree);
 	*str = state.buffer;
 	*size = state.buffer_size;
Index: uspace/lib/bithenge/src/script.c
===================================================================
--- uspace/lib/bithenge/src/script.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/bithenge/src/script.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -99,5 +99,5 @@
 	/** Rather than constantly checking return values, the parser uses this
 	 * to indicate whether an error has occurred. */
-	errno_t error;
+	int error;
 
 	/** The list of named transforms. */
@@ -148,5 +148,5 @@
 
 /** Note that an error has occurred if error is not EOK. */
-static void error_errno(state_t *state, errno_t error)
+static void error_errno(state_t *state, int error)
 {
 	// Don't overwrite a previous error.
@@ -276,5 +276,5 @@
 			state->buffer_pos++;
 		state->token = TOKEN_INTEGER;
-		errno_t rc = bithenge_parse_int(state->buffer +
+		int rc = bithenge_parse_int(state->buffer +
 		    state->old_buffer_pos, &state->token_int);
 		error_errno(state, rc);
@@ -520,5 +520,5 @@
 static bithenge_expression_t *parse_term(state_t *state)
 {
-	errno_t rc;
+	int rc;
 	if (state->token == TOKEN_TRUE || state->token == TOKEN_FALSE) {
 		bool val = state->token == TOKEN_TRUE;
@@ -630,5 +630,5 @@
 static bithenge_expression_t *parse_postfix_expression(state_t *state)
 {
-	errno_t rc;
+	int rc;
 	bithenge_expression_t *expr = parse_term(state);
 	while (state->error == EOK) {
@@ -737,5 +737,5 @@
 			break;
 		}
-		errno_t rc = bithenge_binary_expression(&expr, op, expr, expr2);
+		int rc = bithenge_binary_expression(&expr, op, expr, expr2);
 		if (rc != EOK) {
 			expr = NULL;
@@ -797,5 +797,5 @@
 
 	if (num_params) {
-		errno_t rc = bithenge_param_wrapper(&result, result, params);
+		int rc = bithenge_param_wrapper(&result, result, params);
 		if (rc != EOK) {
 			error_errno(state, rc);
@@ -813,5 +813,5 @@
 {
 	bithenge_node_t *node;
-	errno_t rc = bithenge_new_empty_internal_node(&node);
+	int rc = bithenge_new_empty_internal_node(&node);
 	if (rc != EOK) {
 		error_errno(state, rc);
@@ -869,5 +869,5 @@
 
 	bithenge_transform_t *if_xform;
-	errno_t rc = bithenge_if_transform(&if_xform, expr, true_xform,
+	int rc = bithenge_if_transform(&if_xform, expr, true_xform,
 	    false_xform);
 	if (rc != EOK) {
@@ -893,5 +893,5 @@
 			next_token(state);
 			bithenge_node_t *node;
-			errno_t rc = bithenge_new_boolean_node(&node, true);
+			int rc = bithenge_new_boolean_node(&node, true);
 			if (rc != EOK) {
 				error_errno(state, rc);
@@ -907,5 +907,5 @@
 			if (state->error == EOK) {
 				bithenge_expression_inc_ref(ref_expr);
-				errno_t rc = bithenge_binary_expression(&expr,
+				int rc = bithenge_binary_expression(&expr,
 				    BITHENGE_EXPRESSION_EQUALS, ref_expr,
 				    expr);
@@ -947,5 +947,5 @@
 	while (state->error == EOK && num >= 1) {
 		num--;
-		errno_t rc = bithenge_if_transform(&switch_xform, exprs[num],
+		int rc = bithenge_if_transform(&switch_xform, exprs[num],
 		    xforms[num], switch_xform);
 		if (rc != EOK) {
@@ -987,5 +987,5 @@
 
 	bithenge_transform_t *repeat_xform;
-	errno_t rc = bithenge_repeat_transform(&repeat_xform, xform, expr);
+	int rc = bithenge_repeat_transform(&repeat_xform, xform, expr);
 	if (rc != EOK) {
 		error_errno(state, rc);
@@ -1013,5 +1013,5 @@
 
 	bithenge_transform_t *do_while_xform;
-	errno_t rc = bithenge_do_while_transform(&do_while_xform, xform, expr);
+	int rc = bithenge_do_while_transform(&do_while_xform, xform, expr);
 	if (rc != EOK) {
 		error_errno(state, rc);
@@ -1031,5 +1031,5 @@
 
 		bithenge_expression_t *in_expr;
-		errno_t rc = bithenge_in_node_expression(&in_expr);
+		int rc = bithenge_in_node_expression(&in_expr);
 		if (rc != EOK)
 			error_errno(state, rc);
@@ -1061,5 +1061,5 @@
 	}
 
-	errno_t rc = bithenge_partial_transform(&xform, xform);
+	int rc = bithenge_partial_transform(&xform, xform);
 	if (rc != EOK) {
 		error_errno(state, rc);
@@ -1130,5 +1130,5 @@
 	subxforms[num].transform = NULL;
 	bithenge_transform_t *result;
-	errno_t rc = bithenge_new_struct(&result, subxforms);
+	int rc = bithenge_new_struct(&result, subxforms);
 	if (rc != EOK) {
 		error_errno(state, rc);
@@ -1153,5 +1153,5 @@
 
 		bithenge_transform_t *xform;
-		errno_t rc;
+		int rc;
 		if (state->in_node_used)
 			rc = bithenge_expression_transform(&xform, expr);
@@ -1211,5 +1211,5 @@
 	if (xforms) {
 		xforms[0] = result;
-		errno_t rc = bithenge_new_composed_transform(&result, xforms, num);
+		int rc = bithenge_new_composed_transform(&result, xforms, num);
 		if (rc != EOK) {
 			error_errno(state, rc);
@@ -1244,5 +1244,5 @@
 	bithenge_transform_t *barrier = NULL;
 	if (state->error == EOK) {
-		errno_t rc = bithenge_new_barrier_transform(&barrier,
+		int rc = bithenge_new_barrier_transform(&barrier,
 		    state->num_params);
 		if (rc != EOK) {
@@ -1259,5 +1259,5 @@
 
 	if (state->error == EOK) {
-		errno_t rc = bithenge_barrier_transform_set_subtransform(barrier,
+		int rc = bithenge_barrier_transform_set_subtransform(barrier,
 		    xform);
 		xform = NULL;
@@ -1321,5 +1321,5 @@
  * @return EOK on success, EINVAL on syntax error, or an error code from
  * errno.h. */
-errno_t bithenge_parse_script(const char *filename, bithenge_transform_t **out)
+int bithenge_parse_script(const char *filename, bithenge_transform_t **out)
 {
 	state_t state;
@@ -1328,5 +1328,5 @@
 		parse_definition(&state);
 	*out = get_named_transform(&state, "main");
-	errno_t rc = state.error;
+	int rc = state.error;
 	state_destroy(&state);
 	if (rc == EOK && !*out) {
Index: uspace/lib/bithenge/src/sequence.c
===================================================================
--- uspace/lib/bithenge/src/sequence.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/bithenge/src/sequence.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -58,5 +58,5 @@
 
 typedef struct seq_node_ops {
-	errno_t (*get_transform)(seq_node_t *self, bithenge_transform_t **out,
+	int (*get_transform)(seq_node_t *self, bithenge_transform_t **out,
 	    bithenge_int_t index);
 } seq_node_ops_t;
@@ -72,5 +72,5 @@
 }
 
-static errno_t seq_node_field_offset(seq_node_t *self, aoff64_t *out, size_t index)
+static int seq_node_field_offset(seq_node_t *self, aoff64_t *out, size_t index)
 {
 	if (index == 0) {
@@ -83,5 +83,5 @@
 	for (; self->num_ends <= index; self->num_ends++) {
 		bithenge_transform_t *subxform;
-		errno_t rc = self->ops->get_transform(self, &subxform,
+		int rc = self->ops->get_transform(self, &subxform,
 		    self->num_ends);
 		if (rc != EOK)
@@ -136,9 +136,9 @@
 }
 
-static errno_t seq_node_subtransform(seq_node_t *self, bithenge_node_t **out,
+static int seq_node_subtransform(seq_node_t *self, bithenge_node_t **out,
     size_t index)
 {
 	aoff64_t start_pos;
-	errno_t rc = seq_node_field_offset(self, &start_pos, index);
+	int rc = seq_node_field_offset(self, &start_pos, index);
 	if (rc != EOK)
 		return rc;
@@ -194,5 +194,5 @@
 	} else {
 		aoff64_t end_pos;
-		errno_t rc = seq_node_field_offset(self, &end_pos, index + 1);
+		int rc = seq_node_field_offset(self, &end_pos, index + 1);
 		if (rc != EOK) {
 			bithenge_transform_dec_ref(subxform);
@@ -220,8 +220,8 @@
 }
 
-static errno_t seq_node_complete(seq_node_t *self, bool *out)
+static int seq_node_complete(seq_node_t *self, bool *out)
 {
 	aoff64_t blob_size, end_pos;
-	errno_t rc = bithenge_blob_size(self->blob, &blob_size);
+	int rc = bithenge_blob_size(self->blob, &blob_size);
 	if (rc != EOK)
 		return rc;
@@ -251,5 +251,5 @@
 }
 
-static errno_t seq_node_init(seq_node_t *self, const seq_node_ops_t *ops,
+static int seq_node_init(seq_node_t *self, const seq_node_ops_t *ops,
     bithenge_scope_t *scope, bithenge_blob_t *blob, bithenge_int_t num_xforms,
     bool end_on_empty)
@@ -319,8 +319,8 @@
 }
 
-static errno_t struct_node_for_each(bithenge_node_t *base,
+static int struct_node_for_each(bithenge_node_t *base,
     bithenge_for_each_func_t func, void *data)
 {
-	errno_t rc = EOK;
+	int rc = EOK;
 	struct_node_t *self = node_as_struct(base);
 	bithenge_named_transform_t *subxforms =
@@ -368,10 +368,10 @@
 }
 
-static errno_t struct_node_get(bithenge_node_t *base, bithenge_node_t *key,
+static int struct_node_get(bithenge_node_t *base, bithenge_node_t *key,
     bithenge_node_t **out)
 {
 	struct_node_t *self = node_as_struct(base);
 
-	errno_t rc = ENOENT;
+	int rc = ENOENT;
 	if (bithenge_node_type(key) != BITHENGE_NODE_STRING)
 		goto end;
@@ -455,5 +455,5 @@
 };
 
-static errno_t struct_node_get_transform(seq_node_t *base,
+static int struct_node_get_transform(seq_node_t *base,
     bithenge_transform_t **out, bithenge_int_t index)
 {
@@ -468,5 +468,5 @@
 };
 
-static errno_t struct_transform_make_node(struct_transform_t *self,
+static int struct_transform_make_node(struct_transform_t *self,
     bithenge_node_t **out, bithenge_scope_t *scope, bithenge_blob_t *blob,
     bool prefix)
@@ -476,5 +476,5 @@
 		return ENOMEM;
 
-	errno_t rc = bithenge_init_internal_node(struct_as_node(node),
+	int rc = bithenge_init_internal_node(struct_as_node(node),
 	    &struct_node_ops);
 	if (rc != EOK) {
@@ -513,5 +513,5 @@
 }
 
-static errno_t struct_transform_apply(bithenge_transform_t *base,
+static int struct_transform_apply(bithenge_transform_t *base,
     bithenge_scope_t *scope, bithenge_node_t *in, bithenge_node_t **out)
 {
@@ -523,10 +523,10 @@
 }
 
-static errno_t struct_transform_prefix_length(bithenge_transform_t *base,
+static int struct_transform_prefix_length(bithenge_transform_t *base,
     bithenge_scope_t *scope, bithenge_blob_t *blob, aoff64_t *out)
 {
 	struct_transform_t *self = transform_as_struct(base);
 	bithenge_node_t *struct_node;
-	errno_t rc = struct_transform_make_node(self, &struct_node, scope, blob,
+	int rc = struct_transform_make_node(self, &struct_node, scope, blob,
 	    true);
 	if (rc != EOK)
@@ -539,10 +539,10 @@
 }
 
-static errno_t struct_transform_prefix_apply(bithenge_transform_t *base,
+static int struct_transform_prefix_apply(bithenge_transform_t *base,
     bithenge_scope_t *scope, bithenge_blob_t *blob, bithenge_node_t **out_node,
     aoff64_t *out_size)
 {
 	struct_transform_t *self = transform_as_struct(base);
-	errno_t rc = struct_transform_make_node(self, out_node, scope, blob,
+	int rc = struct_transform_make_node(self, out_node, scope, blob,
 	    true);
 	if (rc != EOK)
@@ -592,8 +592,8 @@
  * @param subtransforms The subtransforms and field names.
  * @return EOK on success or an error code from errno.h. */
-errno_t bithenge_new_struct(bithenge_transform_t **out,
+int bithenge_new_struct(bithenge_transform_t **out,
     bithenge_named_transform_t *subtransforms)
 {
-	errno_t rc;
+	int rc;
 	struct_transform_t *self = malloc(sizeof(*self));
 	if (!self) {
@@ -669,8 +669,8 @@
 }
 
-static errno_t repeat_node_for_each(bithenge_node_t *base,
+static int repeat_node_for_each(bithenge_node_t *base,
     bithenge_for_each_func_t func, void *data)
 {
-	errno_t rc = EOK;
+	int rc = EOK;
 	repeat_node_t *self = node_as_repeat(base);
 
@@ -712,5 +712,5 @@
 }
 
-static errno_t repeat_node_get(bithenge_node_t *base, bithenge_node_t *key,
+static int repeat_node_get(bithenge_node_t *base, bithenge_node_t *key,
     bithenge_node_t **out)
 {
@@ -743,5 +743,5 @@
 };
 
-static errno_t repeat_node_get_transform(seq_node_t *base,
+static int repeat_node_get_transform(seq_node_t *base,
     bithenge_transform_t **out, bithenge_int_t index)
 {
@@ -756,5 +756,5 @@
 };
 
-static errno_t repeat_transform_make_node(repeat_transform_t *self,
+static int repeat_transform_make_node(repeat_transform_t *self,
     bithenge_node_t **out, bithenge_scope_t *scope, bithenge_blob_t *blob,
     bool prefix)
@@ -763,5 +763,5 @@
 	if (self->expr != NULL) {
 		bithenge_node_t *count_node;
-		errno_t rc = bithenge_expression_evaluate(self->expr, scope,
+		int rc = bithenge_expression_evaluate(self->expr, scope,
 		    &count_node);
 		if (rc != EOK)
@@ -781,5 +781,5 @@
 		return ENOMEM;
 
-	errno_t rc = bithenge_init_internal_node(repeat_as_node(node),
+	int rc = bithenge_init_internal_node(repeat_as_node(node),
 	    &repeat_node_ops);
 	if (rc != EOK) {
@@ -803,5 +803,5 @@
 }
 
-static errno_t repeat_transform_apply(bithenge_transform_t *base,
+static int repeat_transform_apply(bithenge_transform_t *base,
     bithenge_scope_t *scope, bithenge_node_t *in, bithenge_node_t **out)
 {
@@ -813,10 +813,10 @@
 }
 
-static errno_t repeat_transform_prefix_apply(bithenge_transform_t *base,
+static int repeat_transform_prefix_apply(bithenge_transform_t *base,
     bithenge_scope_t *scope, bithenge_blob_t *blob, bithenge_node_t **out_node,
     aoff64_t *out_size)
 {
 	repeat_transform_t *self = transform_as_repeat(base);
-	errno_t rc = repeat_transform_make_node(self, out_node, scope, blob, true);
+	int rc = repeat_transform_make_node(self, out_node, scope, blob, true);
 	if (rc != EOK)
 		return rc;
@@ -871,8 +871,8 @@
  * May be NULL, in which case @a xform will be applied indefinitely.
  * @return EOK on success or an error code from errno.h. */
-errno_t bithenge_repeat_transform(bithenge_transform_t **out,
+int bithenge_repeat_transform(bithenge_transform_t **out,
     bithenge_transform_t *xform, bithenge_expression_t *expr)
 {
-	errno_t rc;
+	int rc;
 	repeat_transform_t *self = malloc(sizeof(*self));
 	if (!self) {
@@ -947,8 +947,8 @@
 }
 
-static errno_t do_while_node_for_each(bithenge_node_t *base,
+static int do_while_node_for_each(bithenge_node_t *base,
     bithenge_for_each_func_t func, void *data)
 {
-	errno_t rc = EOK;
+	int rc = EOK;
 	do_while_node_t *self = node_as_do_while(base);
 
@@ -1018,5 +1018,5 @@
 };
 
-static errno_t do_while_node_get_transform(seq_node_t *base,
+static int do_while_node_get_transform(seq_node_t *base,
     bithenge_transform_t **out, bithenge_int_t index)
 {
@@ -1031,5 +1031,5 @@
 };
 
-static errno_t do_while_transform_make_node(do_while_transform_t *self,
+static int do_while_transform_make_node(do_while_transform_t *self,
     bithenge_node_t **out, bithenge_scope_t *scope, bithenge_blob_t *blob)
 {
@@ -1038,5 +1038,5 @@
 		return ENOMEM;
 
-	errno_t rc = bithenge_init_internal_node(do_while_as_node(node),
+	int rc = bithenge_init_internal_node(do_while_as_node(node),
 	    &do_while_node_ops);
 	if (rc != EOK) {
@@ -1061,5 +1061,5 @@
 }
 
-static errno_t for_each_noop(bithenge_node_t *key, bithenge_node_t *value,
+static int for_each_noop(bithenge_node_t *key, bithenge_node_t *value,
     void *data)
 {
@@ -1069,10 +1069,10 @@
 }
 
-static errno_t do_while_transform_prefix_apply(bithenge_transform_t *base,
+static int do_while_transform_prefix_apply(bithenge_transform_t *base,
     bithenge_scope_t *scope, bithenge_blob_t *blob, bithenge_node_t **out_node,
     aoff64_t *out_size)
 {
 	do_while_transform_t *self = transform_as_do_while(base);
-	errno_t rc = do_while_transform_make_node(self, out_node, scope, blob);
+	int rc = do_while_transform_make_node(self, out_node, scope, blob);
 	if (rc != EOK)
 		return rc;
@@ -1116,8 +1116,8 @@
  * determine whether there will be more.
  * @return EOK on success or an error code from errno.h. */
-errno_t bithenge_do_while_transform(bithenge_transform_t **out,
+int bithenge_do_while_transform(bithenge_transform_t **out,
     bithenge_transform_t *xform, bithenge_expression_t *expr)
 {
-	errno_t rc;
+	int rc;
 	do_while_transform_t *self = malloc(sizeof(*self));
 	if (!self) {
Index: uspace/lib/bithenge/src/source.c
===================================================================
--- uspace/lib/bithenge/src/source.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/bithenge/src/source.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -58,5 +58,5 @@
 }
 
-static errno_t blob_from_hex(bithenge_node_t **out, const char *hex)
+static int blob_from_hex(bithenge_node_t **out, const char *hex)
 {
 	size_t size = str_length(hex);
@@ -85,5 +85,5 @@
  * @param source Specifies the node to be created.
  * @return EOK on success or an error code from errno.h. */
-errno_t bithenge_node_from_source(bithenge_node_t **out, const char *source)
+int bithenge_node_from_source(bithenge_node_t **out, const char *source)
 {
 	if (str_chr(source, ':')) {
@@ -95,5 +95,5 @@
 			// Example: block:bd/initrd
 			service_id_t service_id;
-			errno_t rc = loc_service_get_id(source + 6, &service_id, 0);
+			int rc = loc_service_get_id(source + 6, &service_id, 0);
 			if (rc != EOK)
 				return rc;
